package com.zd.chemical.service;

import java.util.List;

import com.zd.chemical.domain.HxpUserecord;
import com.zd.chemical.domain.vo.*;

/**
 * 化学品使用记录Service接口
 *
 * @author liubo
 * @date 2022-06-18
 */
public interface IHxpUserecordService {
    /**
     * 查询化学品使用记录
     *
     * @param id 化学品使用记录主键
     * @return 化学品使用记录
     */
    public HxpUserecord selectHxpUserecordById(Long id);

    /**
     * 查询化学品使用记录列表
     *
     * @param hxpUserecord 化学品使用记录
     * @return 化学品使用记录集合
     */
    public List<HxpUserecord> selectHxpUserecordList(HxpUserecord hxpUserecord);

    /**
     * 查询化学品使用记录列表
     *
     * @param hxpUserecordSearch 化学品使用记录
     * @return 化学品使用记录集合
     */
    public List<HxpUserecordVo> getHxpUserecordList(HxpUserecordSearch hxpUserecordSearch);

    /**
     * 新增化学品使用记录
     *
     * @param hxpUserecord 化学品使用记录
     * @return 结果
     */
    public HxpUserecord insertHxpUserecord(HxpUserecord hxpUserecord);

    /**
     * 修改化学品使用记录
     *
     * @param hxpUserecord 化学品使用记录
     * @return 结果
     */
    public HxpUserecord updateHxpUserecord(HxpUserecord hxpUserecord);

    /**
     * 批量删除化学品使用记录
     *
     * @param ids 需要删除的化学品使用记录主键集合
     * @return 结果
     */
    public int deleteHxpUserecordByIds(Long[] ids);

    /**
     * 删除化学品使用记录信息
     *
     * @param id 化学品使用记录主键
     * @return 结果
     */
    public int deleteHxpUserecordById(Long id);

    List<AioUserecordVo> queryRecordList(AioUserecordVo aioUserecordVo);

    AioUserValidationVo userValidation(AioUserValidationVo userValidationVo);

    boolean selectIsAdminOrSafeUser(Long subIdByTerminalNum, Long userId);

    AioUserValidationVo faceAuth(AioSubInfoVo aioSubInfoVo);

    void checkOvertime();

    HxpUserecordDetailVo queryDetailById(Long id);
}
